VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsMemory"
Attribute VB_GlobalNameSpace = True
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'---------------------------------------------------------------------------------------
' Module    : clsMemory
' DateTime  : 30/04/2007 23:20
' Author    : Vb System Library
' Purpose   : Informations sur la mmoire
' Copyright : (C) 2007 L'quipe Vb System Library
'              See "modPresentation" for more information
'---------------------------------------------------------------------------------------
' Librairie de fonctions permettant d'agir simplement et rapidement sur le systme.
' Copyright (C) 2007 - L'quipe Vb System Library
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the Free Software
' Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
'---------------------------------------------------------------------------------------


Option Explicit

' Structure donnant des informations sur le cache systme
Public Type SYSTEM_CACHE_INFORMATION
    CurrentSize As Long             ' Taille actuelle
    PeakSize As Long                ' Pic
    PageFaultCount As Long
    MinimumWorkingSet As Long       ' Taille minimum
    MaximumWorkingSet As Long       ' Taille maximum
    Unused(4) As Long               ' Inutiliss
End Type


'---------------------------------------------------------------------------------------
' Procedure : SetSystemCache
' DateTime  : 06/02/2007 12:53
' Author    : Vb System Library
' Purpose   : Modifie la taille du cache systme
'               Ncessite le privilge SE_INCREASE_QUOTA_NAME
'               Pour Vider le cahce, mettez -1 pour MinimumWorkingSet et pour MaximumWorkingSet
' Params    : SCI : structure SYSTEM_CACHE_INFORMATION
'---------------------------------------------------------------------------------------
Public Function SetSystemCache(ByRef SCI As SYSTEM_CACHE_INFORMATION)
    NtSetSystemInformation SystemCacheInformation, VarPtr(SCI), Len(SCI)
End Function


'---------------------------------------------------------------------------------------
' Procedure : GetSystemCache
' DateTime  : 06/02/2007 12:55
' Author    : Vb System Library
' Purpose   : Rcupre des informations sur le cache systme
' Params    :
'---------------------------------------------------------------------------------------
Public Function GetSystemCache() As SYSTEM_CACHE_INFORMATION
    NtQuerySystemInformation SystemCacheInformation, ByVal VarPtr(GetSystemCache), Len(GetSystemCache), 0&
End Function
